Bug 443403 - phishing protection does not work
phishing protection does not work
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Blocker
  Show dependency treegraph
 
Reported: 2008-04-21 08:32 EDT by Martin Jürgens
Modified: 2008-05-01 11:56 EDT (History)
1 user (show)

See Also:
Fixed In Version: xulrunner-1.9-0.60.beta5.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-01 11:56:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Jürgens 2008-04-21 08:32:32 EDT
Description of problem:
Firefox's phishing protection does not work in rawhide.

Version-Release number of selected component (if applicable):
firefox-3.0-0.54.beta5.fc9.i386

How reproducible:
Always

Steps to Reproduce:
1. Go to http://www.mozilla.com/firefox/its-a-trap.html in Firefox
2.
3.
  
Actual results:
No warning

Expected results:
Warning

Additional info:
With the official Mozilla builds, it works fine. I get a really big warning.
Comment 1 Matěj Cepl 2008-04-22 10:21:33 EDT
Actually, I can reproduce it.
Comment 2 Matěj Cepl 2008-04-23 10:34:04 EDT
I cannot reproduce it with FF2 on F8, but on any Rawhide Firefox I can fully
reproduce this. I cannot reproduce it with the upstream binary.
Comment 3 Christopher Aillon 2008-04-24 19:02:05 EDT
Pretty sure this is a fallout of FF on XR.  Possibly similar to
https://bugzilla.mozilla.org/show_bug.cgi?id=411037 ?

Can you have a look, Martin?
Comment 4 Martin Stransky 2008-04-25 03:46:40 EDT
Yeah, sure.
Comment 5 Martin Stransky 2008-04-25 09:24:34 EDT
--enable-safe-browsing does the trick.
Comment 7 Martin Stransky 2008-04-25 09:27:19 EDT
added to xulrunner-1.9-0.57.beta5.fc9
Comment 8 Martin Stransky 2008-04-29 09:43:01 EDT
I did some research here and --enable-safe-browsing has to be enabled in
XULRunner, too. The firefox anti-pishing protection uses url-classifier
component which is located in XULRunner. 
Comment 9 Will Woods 2008-05-01 11:56:47 EDT
Tested with xulrunner-1.9-0.60.beta5.fc9 -
http://www.mozilla.com/firefox/its-a-trap.html gives me the expected warning.

Note You need to log in before you can comment on or make changes to this bug.